<template>
    <section class="artwork-wrap">
        <div class="container">
            <div class="left-box">
                <div class="slogan">
                    Why walk when<br>
                    you can<br>
                    run?<br>
                </div>
                <div class="scroll-down" v-scroll-to="{el: '#solutions', offset: -200}">
                    <a href="#">Scroll Down</a>
                </div>
            </div>

            <img class="artwork-lg"
                 srcset="../../assets/img/backgrounds/artwork.png, ../../assets/img/backgrounds/artwork.2x.png 2x"
                 src="artwork-lg.png" alt="Artwork">
            <img class="artwork-md"
                 srcset="../../assets/img/backgrounds/artwork-md.png, ../../assets/img/backgrounds/artwork-md.2x.png 2x"
                 src="artwork-md.png" alt="Artwork">
            <img class="artwork-xs"
                 srcset="../../assets/img/backgrounds/artwork-xs.png, ../../assets/img/backgrounds/artwork-xs.2x.png 2x"
                 src="artwork-xs.png" alt="Artwork">
        </div>
    </section>
</template>

<script>
    export default {
        name: "Artwork"
    }
</script>

<style scoped lang="scss">
    .artwork-wrap {
        display: flex;
        justify-content: center;
        overflow: hidden;

        .container {
            position: relative;
            width: 962px;
            margin-top: 76px;

            .left-box {
                position: absolute;
                top: 0;
                left: 0;

                .slogan {
                    color: #0f0f0f;
                    font-family: $secondFont, sans-serif;
                    font-size: 51px;
                    font-weight: 700;
                    letter-spacing: 1.92px;
                    line-height: 85.2px;
                    text-transform: uppercase;
                    text-align: left;
                    margin-top: 68px;
                }

                .scroll-down {
                    position: relative;
                    display: flex;
                    align-items: center;
                    margin-top: 60px;

                    &:before {
                        display: block;
                        content: url("../../assets/img/icons/mouse.svg");
                        margin-right: 14px;
                    }

                    &:after {
                        position: absolute;
                        top: 24px;
                        left: 12px;
                        display: block;
                        content: url("../../assets/img/icons/mouse-arrow.png");
                        animation: mouse 1.5s infinite;
                    }

                    @keyframes mouse {
                        from {
                            opacity: 1;
                        }
                        to {
                            transform: translateY(7px);
                            opacity: 0;
                        }
                    }

                    a {
                        color: #9ac1ff;
                        font-family: $mainFont, sans-serif;
                        font-size: 16px;
                        font-weight: 700;
                        letter-spacing: 0.8px;
                        text-decoration: none;
                        transition: color .36s;
                    }

                    a:hover {
                        color: #2086ff;
                    }
                }
            }

            .artwork-lg {
                margin-left: 175px;
            }
        }
    }

    @media (min-width: 1441px) {
        .artwork-wrap {
            .container {
                .artwork-md, .artwork-xs {
                    display: none;
                }
            }
        }
    }

    @media (min-width: 1200px) and (max-width: 1440px) {
        .artwork-wrap {
            .container {
                .artwork-lg, .artwork-xs {
                    display: none;
                }
            }
        }
    }

    @media (min-width: 768px) and (max-width: 1199.99px) {
        .artwork-wrap {
            .container {
                .artwork-lg, .artwork-xs {
                    display: none;
                }
            }
        }
    }

    @media (max-width: 767.99px) {
        .artwork-wrap {
            .container {
                .artwork-lg, .artwork-md {
                    display: none;
                }
            }
        }
    }
</style>
